Bug 480508 - Globetrotter HSUPA Modem not recognized
Globetrotter HSUPA Modem not recognized
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 479424 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-17 17:56 EST by Ola Thoresen
Modified: 2009-12-18 02:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ola Thoresen 2009-01-17 17:56:28 EST
Description of problem:
The built in GSM-modem in Acer Aspire One 150 is not recognized in NetworkManager.
I can configure a "Moble Broadband connection" but there is no "connect"-option

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-1.git20090102.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Set up a Mobile Broadband connection in NetworkManager
2. 
3.
  
Actual results:
There is no way to use the connection

Expected results:
There should be some sort of "Connect"-button

Additional info:
Probably related to bz#446605

lshal-output:

udi = '/org/freedesktop/Hal/devices/usb_device_af0_7211_Serial_Number'
  info.bus = 'usb_device'  (string)
  info.linux.driver = 'usb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_2'  (string)
  info.product = 'Globetrotter HSUPA Modem'  (string)
  info.subsystem = 'usb_device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_af0_7211_Serial_Number'  (string)
  info.vendor = 'Option'  (string)
  linux.device_file = '/dev/bus/usb/004/002'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2'  (string)
  usb_device.bus_number = 4  (0x4)  (int)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.device_class = 255  (0xff)  (int)
  usb_device.device_protocol = 255  (0xff)  (int)
  usb_device.device_revision_bcd = 0  (0x0)  (int)
  usb_device.device_subclass = 255  (0xff)  (int)
  usb_device.is_self_powered = false  (bool)
  usb_device.linux.device_number = 2  (0x2)  (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2'  (string)
  usb_device.max_power = 500  (0x1f4)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_interfaces = 3  (0x3)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.product = 'Globetrotter HSUPA Modem'  (string)
  usb_device.product_id = 29201  (0x7211)  (int)
  usb_device.serial = 'Serial Number'  (string)
  usb_device.speed = 12.0 (12) (double)
  usb_device.vendor = 'Option'  (string)
  usb_device.vendor_id = 2800  (0xaf0)  (int)
  usb_device.version = 1.1 (1.1) (double)
Comment 1 Ola Thoresen 2009-01-24 08:43:02 EST
Same as this bug (with patch):

https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/304818

I can confirm that this patch does indeed work. The modem is recognised after applying the below patch



--- 10-modem.fdi 2008-12-03 15:10:30.000000000 +0100
+++ 10-modem.fdi 2008-12-03 15:16:25.000000000 +0100
@@ -84,7 +84,7 @@
           </match>
         </match>

- <match key="@info.parent:usb.product_id" int_outof="0x7011">
+ <match key="@info.parent:usb.product_id" int_outof="0x7011;0x7211">
           <match key="@info.parent:usb.interface.number" int="2">
             <append key="modem.command_sets" type="strlist">GSM-07.07</append>
             <append key="modem.command_sets" type="strlist">GSM-07.05</append>
Comment 2 Dan Williams 2009-02-05 06:48:13 EST
Over to hal-info since that's what needs the patch.
Comment 3 Patryk Malina 2009-02-15 06:52:28 EST
*** Bug 479424 has been marked as a duplicate of this bug. ***
Comment 4 Patryk Malina 2009-02-15 06:58:21 EST
I consider the patch above to work with Ubuntu, not Fedora. See Bug 479424 for working patch.
Comment 5 Bug Zapper 2009-11-18 05:47:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:38:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.